Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
monty_exp.h File Reference
`#include <memory>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
BigInt | Botan::monty_execute (const Montgomery_Exponentation_State &precomputed_state, const BigInt &k, size_t max_k_bits)
BigInt | Botan::monty_execute_vartime (const Montgomery_Exponentation_State &precomputed_state, const BigInt &k)
BigInt | Botan::monty_multi_exp (std::shared_ptr< const Montgomery_Params > params_p, const BigInt &x_bn, const BigInt &z1, const BigInt &y_bn, const BigInt &z2)
std::shared_ptr< const Montgomery_Exponentation_State > | Botan::monty_precompute (std::shared_ptr< const Montgomery_Params > params, const BigInt &g, size_t window_bits, bool const_time)